Package org.eclipse.graphiti.mm.algorithms

## Interface Ellipse

All Superinterfaces:
  `AbstractStyle`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithm`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PropertyContainer`

All Known Implementing Classes:
  `EllipseImpl`

    public interface Ellipse
    extends GraphicsAlgorithm

A representation of the model object 'Ellipse'.

See Also:
  `AlgorithmsPackage.getEllipse()`

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.GraphicsAlgorithm

`getGraphicsAlgorithmChildren, getHeight, getParentGraphicsAlgorithm, getPictogramElement, getStyle, getWidth, getX, getY, setHeight, setParentGraphicsAlgorithm, setPictogramElement, setStyle, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`